<!DOCTYPE HTML>

<html>
<head><title>Privacy Policy - CodeProject</title><link type="text/css" rel="stylesheet" href="http://cdn.codeproject.com.global.prod.fastly.net/App_Themes/CodeProject/Css/Main.min.css?dt=2.8.160826.1">
<link type="text/css" rel="stylesheet" href="http://cdn.codeproject.com.global.prod.fastly.net/App_Themes/CodeProject/Css/no-media-query.min.css?dt=2.8.160826.1">

<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<meta name="Description" content="Privacy Policy - Free source code and tutorials for Software developers and Architects.; Updated: 10 May 2011" />
<meta name="Keywords" content="Free source code, tutorials" />
<meta name="Author" content="CodeProject" />
<meta name="Rating" content="General" />
<meta name="Revisit-After" content="1 days" />
<meta name="application-name" content="CodeProject" />
<meta name="google-translate-customization" content="d908bb7ce7aff658-4c2f3a504525c916-g629383f736781a8a-13" />

<link rel="dns-prefetch" href="//ajax.googleapis.com" /> 



<link rel="alternate" type="application/rss+xml" title="CodeProject Latest articles - All Topics" href="http://www.codeproject.com/WebServices/ArticleRSS.aspx?cat=1" />
<link rel="alternate" type="application/rss+xml" title="CodeProject Latest articles - Android" href="http://www.codeproject.com/WebServices/ArticleRSS.aspx?cat=22" />
<link rel="alternate" type="application/rss+xml" title="CodeProject Latest articles - iOS" href="http://www.codeproject.com/WebServices/ArticleRSS.aspx?cat=25" />
<link rel="alternate" type="application/rss+xml" title="CodeProject Latest articles - C++" href="http://www.codeproject.com/WebServices/ArticleRSS.aspx?cat=2" />
<link rel="alternate" type="application/rss+xml" title="CodeProject Latest articles - C#" href="http://www.codeproject.com/WebServices/ArticleRSS.aspx?cat=3" />
<link rel="alternate" type="application/rss+xml" title="CodeProject Latest articles - Web" href="http://www.codeproject.com/WebServices/ArticleRSS.aspx?cat=23" />
<link rel="alternate" type="application/rss+xml" title="CodeProject Lounge Postings" href="http://www.codeproject.com/webservices/LoungeRSS.aspx" />
<meta name="robots" content="index, follow" />
<link rel="search" type="application/opensearchdescription+xml" title="CodeProject" href="http://www.codeproject.com/info/OpenSearch.xml" />
<meta name="viewport" content="width=device-width, initial-scale=1.0">
	<base target="_top" >
	<link rel="icon" href="/favicon.ico" type="image/ico" >
<link rel="shortcut icon" href="/favicon.ico"  type="image/ico" >
<link rel="apple-touch-icon" href="/images/FavIcon-Apple.png" type="image/png" >
<script type="text/javascript" language="Javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.6.2/jquery.min.js"></script><script type='text/javascript'>//<![CDATA[
if (typeof jQuery == 'undefined') {
    document.write(unescape("%3Cscript src='/script/JS/jquery-1.6.2.min.js' type='text/javascript' %3E%3C/script%3E"));
}//]]></script>
<script type="text/javascript" language="Javascript">//<![CDATA[
function defrm () { /* thanks twitter */ document.write = ''; window.top.location = window.self.location;  setTimeout(function() { document.body.innerHTML = ''; }, 0);  window.self.onload = function(evt) { document.body.innerHTML = ''; }; }if (window.top !== window.self) {  try {  if (window.top.location.host) { /* will throw */ } else { defrm(); /* chrome */ }  } catch (ex) { defrm(); /* everyone else */ } }if (typeof(DemoUrl)!='undefined')   document.write(unescape('%3Cme')+'ta http'+'-equiv="re'+'fresh"                  con'+'tent="1;url='+DemoUrl+unescape('"%3CE'));
(function() { 
	var _dma = document.createElement('script');
        _dma.type = 'text/javascript';
        _dma.async = true;
        _dma.src = ('https:' == document.location.protocol ? 'https://' : 'http://') + 'cdn2.developermedia.com/a.min.js';
        (document.getElementsByTagName('head')[0] || document.getElementsByTagName('body')[0]).appendChild(_dma);
})();

//]]>
</script>





<script type="text/javascript">
	var _gaq = _gaq || [];
	_gaq.push(['_setAccount', 'UA-1735123-1']);
	_gaq.push(['_trackPageview']);
	_gaq.push(['_setDomainName', 'www.codeproject.com']);
	_gaq.push(['_setSessionTimeout', '1200']); 

	(function () {
		var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
		ga.src = ('https:' == document.location.protocol ? 'https://ssl' : 'http://www') + '.google-analytics.com/ga.js';
		(document.getElementsByTagName('head')[0] || document.getElementsByTagName('body')[0]).appendChild(ga);
	})(); 
</script>

</head>
<body class="heritrix heritrix0">

<a class="access-link" href="#Main"><img alt="Click here to Skip to main content" src="http://cdn.codeproject.com.global.prod.fastly.net/Images/t.gif" /></a>



<div class="page-background">



	
	<div id="ctl00_STM" class="site-top-menu fixed">
		<div class="main-content">
			

<div class="container memberbar clearfix">

	<div id="ctl00_MemberMenu_GenInfo" class="float-left">12,460,035 members (26,790 online)</div>

	<div class="float-left">
		
	</div>

	<div class="float-right">

		

		

		

			<script type="text/javascript">//<!--
			function doSubmit(secure)
			{
				if (secure)
					document.subForm.action = "https://www.codeproject.com/script/Membership/LogOn.aspx?rp=%2finfo%2fprivacy.aspx"
				else
					document.subForm.action = "https://www.codeproject.com/script/Membership/LogOn.aspx?rp=%2finfo%2fprivacy.aspx"
				document.subForm.submit();
				return true;
			}//-->
			</script>

			<a name="SignUp"></a>
			<span class="member-signin tooltip openable">
				<span><a href="https://www.codeproject.com/script/Membership/LogOn.aspx?rp=%2finfo%2fprivacy.aspx">Sign in</a></span>

				<div class="tooltip-flyout">
					<form name="subForm" id="subForm" action="https://www.codeproject.com/script/Membership/LogOn.aspx?rp=%2finfo%2fprivacy.aspx" method="post" 
						class="tight">

						
						<input id="FormName" name="FormName" value="MenuBarForm" type="hidden" />

						<div>Email</div>
						<div><input class="small-text" type="email" name="Email" id="Email" /></div>
						<div>Password</div>
						<div><input class="small-text" type="password" name="Password" id="Password" /></div>
						<div class="action">
							
<script type="text/javascript">
function Join(){
 var url = 'http://www.codeproject.com/script/Membership/Modify.aspx?meml=' + document.subForm.Email.value;
 document.location.href=url;return false;
}
document.write('<input type="button" class="create" onclick="return Join();" value="Join"');
document.write('<input type="hidden" name="fld_quicksign" value="true" />');
</script>
							<input type="submit" value="Sign in" class="signin" 
								onclick="return doSubmit(false);" />
						</div>

						<div class="container">
							
							&nbsp;
							<a id="ctl00_MemberMenu_SendPassword" class="forgot float-right" href="/script/Membership/SendPassword.aspx?rp=%2finfo%2fprivacy.aspx">Forgot your password?</a>
						</div>
					</form>

					<hr class="divider-dark" />

					Sign in using <a class="oauth" title="Sign in using Facebook" href="/script/Membership/OAuthLogOn.aspx?auth=Facebook"><img src="/script/Membership/Images/facebook.png" style="vertical-align:middle;padding-right:3px;border:0;" /></a>
<a class="oauth" title="Sign in using Google" href="/script/Membership/OAuthLogOn.aspx?auth=Google"><img src="/script/Membership/Images/google-plus.png" style="vertical-align:middle;padding-right:3px;border:0;" /></a>
<a class="oauth" title="Sign in using Linkedin" href="/script/Membership/OAuthLogOn.aspx?auth=LinkedIn"><img src="/script/Membership/Images/linkedin.png" style="vertical-align:middle;padding-right:3px;border:0;" /></a>
<a class="oauth" title="Sign in using Microsoft" href="/script/Membership/OAuthLogOn.aspx?auth=Microsoft"><img src="/script/Membership/Images/microsoft.png" style="vertical-align:middle;padding-right:3px;border:0;" /></a>

				</div>
            </span>
		
	</div>
</div>
		</div>
	</div>

	
	<div id="ctl00_SH" class="site-header fixed">
		<div class="main-content">
			<div class="logo"><a href="/"><img id="ctl00_Logo" tabindex="1" title="CodeProject" src="http://cdn.codeproject.com.global.prod.fastly.net/App_Themes/CodeProject/Img/logo250x135.gif" alt="Home" style="height:135px;width:250px;border-width:0px;" /></a></div>
			<div class="promo"><div class="msg-728x90" data-format="728x90" data-type="ad" data-publisher="lqm.codeproject.site" data-zone="ros"  data-tags='pos_top'><noscript><a href="http://pubads.g.doubleclick.net/gampad/jump?iu=/6839/lqm.codeproject.site/ros&sz=728x90&c=523473"><img src="http://pubads.g.doubleclick.net/gampad/ad?iu=/6839/lqm.codeproject.site/ros&sz=728x90&c=523473"  width="728px" height="90px" target="_blank"/></a></noscript></div></div>
		</div>
	</div>

	
	<div id="ctl00_TPR" class="sub-headerbar clearfix fixed">
	<div class="float-right">
		

<div class="searchbar">

<form method="get" action="/search.aspx?sbo=kw" name="Search" class="tight">


<table border="0" cellspacing="0" cellpadding="0" class="search"><tr><td><input TabIndex="2" class="search " id="sb_tb" value="" name="q" /></td><td><input type="image" src="http://cdn.codeproject.com.global.prod.fastly.net/images/search.gif" /></td></tr></table>

<div class="hover-container">
	<div id="SearchFilter" class="search-advanced popup small-text align-left">
	<b>Search within:<br /></b>
		
		<input type="radio" id="sb_kw" name="sbo" value="kw" checked="true"><label for="sb_kw">Articles</label><br>
<input type="radio" id="sb_qa" name="sbo" value="qa"><label for="sb_qa">Quick Answers</label><br>
<input type="radio" id="sb_fm" name="sbo" value="fm"><label for="sb_fm">Messages</label><br>


		
		

		
		
	</div>
</div>
</form>

</div>
	</div>
	<div class="float-left">
		

<div class="navbar clearfix">
<ul class="navmenu openable">

<li class="desktop-only"><a id="ctl00_TopNavBar_Home" href="http://www.codeproject.com">home</a>


<li class="openable"><a id="ctl00_TopNavBar_Art" class="down" href="/script/Articles/Latest.aspx">articles</a>

	<ul>
		<li class="openable"><a id="ctl00_TopNavBar_ArtTopicList" class="fly" onmouseover="navBarMenu.ShowMap(this, &#39;ctl00_TopNavBar_MapFlyout&#39;);" href="/script/Content/SiteMap.aspx">Chapters and Sections<span class="has-submenu">&gt;</span></a><ul id="ctl00_TopNavBar_MapFlyout">
			<li>
				<div id="siteMap">
					<img src="http://cdn.codeproject.com.global.prod.fastly.net/images/animated.gif" alt="loading" style="margin:150px;width:100px;height:100px;" />
				</div>
			</li>
			</ul>
		</li>
		<li><a id="ctl00_TopNavBar_ArtSearch" class="fly break" href="/search.aspx?sbo=kw">Search</a></li>
		<li><a id="ctl00_TopNavBar_ArtLatestArts" class="fly" href="/script/Articles/Latest.aspx?at=1,3,7">Latest Articles</a></li>
		<li><a id="ctl00_TopNavBar_ArtLatestTips" class="fly" href="/script/Articles/Latest.aspx?at=6">Latest Tips/Tricks</a></li>
		<li><a id="ctl00_TopNavBar_ArtTop" class="fly" href="/script/Articles/TopArticles.aspx?ta_so=5">Top Articles</a></li>
		<li><a id="ctl00_TopNavBar_ArtBeginner" class="fly" href="/search.aspx?sbo=kw?aidlst=152&amp;sa_us=True">Beginner Articles</a></li>
		<li><a id="ctl00_TopNavBar_ArtBlogArticles" class="fly break" href="/script/Articles/BlogArticleList.aspx">Technical Blogs</a></li>
		<li><a id="ctl00_TopNavBar_ArtGuide" class="fly" href="/info/Submit.aspx">Posting/Update Guidelines</a></li>
		<li><a id="ctl00_TopNavBar_ArtHelpForum" class="fly" href="/Forums/1641/Article-Writing.aspx">Article Help Forum</a></li>
		<li><a id="ctl00_TopNavBar_ArtCompetition" class="fly break" href="/script/Awards/CurrentCompetitions.aspx?cmpTpId=1">Article Competition</a></li>
		<li><a id="ctl00_TopNavBar_ArtPostArticle" class="fly highlight1" href="/script/Articles/Submit.aspx">
			<img src="http://cdn.codeproject.com.global.prod.fastly.net/images/write13.png" width="13px" height="13px" /> Submit an article or tip
			</a></li>
		<li><a id="ctl00_TopNavBar_ArtPostBlog" class="fly highlight2" href="/script/Articles/BlogFeed.aspx">
			<img src="http://cdn.codeproject.com.global.prod.fastly.net/images/write13.png" width="13px" height="13px" /> Post your Blog
			</a></li>		<li class="last"></li>
	</ul>

</li>



<li class="openable">
<a id="ctl00_TopNavBar_Answers" href="/script/Answers/List.aspx?tab=active">
    <span class="desktop-only tablet-only">quick answers</span><span class="mobile-only">Q&amp;A</span>
</a>
	<ul>
		

		<li><a id="ctl00_TopNavBar_QAAsk" class="fly highlight2" href="/Questions/ask.aspx"><img 
			src="http://cdn.codeproject.com.global.prod.fastly.net/images/write13.png" width="13px" height="13px" /> Ask a Question</a></li>

		
		<li><a id="ctl00_TopNavBar_QAUnanswered" class="fly" href="/script/Answers/List.aspx?tab=unanswered">View Unanswered Questions</a></li>
		<li><a id="ctl00_TopNavBar_QALatest" class="fly" href="/script/Answers/List.aspx?tab=active">View All Questions...</a></li>
		
				<li><a id="ctl00_TopNavBar_QATR_ctl00_Tag" class="fly" href="/script/Answers/List.aspx?tab=active&amp;alltags=true&amp;tags=81" style="padding-left:30px">C# questions</a></li>
			
				<li><a id="ctl00_TopNavBar_QATR_ctl01_Tag" class="fly" href="/script/Answers/List.aspx?tab=active&amp;alltags=true&amp;tags=85" style="padding-left:30px">ASP.NET questions</a></li>
			
				<li><a id="ctl00_TopNavBar_QATR_ctl02_Tag" class="fly" href="/script/Answers/List.aspx?tab=active&amp;alltags=true&amp;tags=93" style="padding-left:30px">SQL questions</a></li>
			
				<li><a id="ctl00_TopNavBar_QATR_ctl03_Tag" class="fly" href="/script/Answers/List.aspx?tab=active&amp;alltags=true&amp;tags=842" style="padding-left:30px">VB.NET questions</a></li>
			
				<li><a id="ctl00_TopNavBar_QATR_ctl04_Tag" class="fly" href="/script/Answers/List.aspx?tab=active&amp;alltags=true&amp;tags=377" style="padding-left:30px">C#3.5 questions</a></li>
			
		<li class="last"></li>
	</ul>

</li>



<li class="openable"><a id="ctl00_TopNavBar_Forums" href="/script/Forums/List.aspx">
        <span class="desktop-only tablet-only">discussions</span><span class="mobile-only">forums</span>
</a>

	<ul>
		<li><a id="ctl00_TopNavBar_MessageBoardsAll" class="fly" href="/script/Forums/List.aspx">All Message Boards...</a></li>
		<li class="openable"><a class="fly" style="padding-left:30px" href="/Forums/1580997/Application-Lifecycle.aspx">Application Lifecycle<span class="has-submenu">&gt;</span></a>
<ul class="openable"><li><a class="fly" href="/Forums/1533717/Running-a-Business.aspx">Running a Business</a></li>
<li><a class="fly" href="/Forums/1533716/Sales-Marketing.aspx">Sales / Marketing</a></li>
<li><a class="fly" href="/Forums/1651/Collaboration-Beta-Testing.aspx">Collaboration / Beta Testing</a></li>
<li><a class="fly" href="/Forums/3304/Work-Issues.aspx">Work  Issues</a></li>
</ul></li>
<li><a class="fly" style="padding-left:30px" href="/Forums/369270/Design-and-Architecture.aspx">Design and Architecture</a>
</li>
<li><a class="fly" style="padding-left:30px" href="/Forums/12076/ASP-NET.aspx">ASP.NET</a>
</li>
<li><a class="fly" style="padding-left:30px" href="/Forums/1580226/JavaScript.aspx">JavaScript</a>
</li>
<li class="openable"><a class="fly" style="padding-left:30px" href="/Forums/1647/C-Cplusplus-MFC.aspx">C / C++ / MFC<span class="has-submenu">&gt;</span></a>
<ul class="openable"><li><a class="fly" href="/Forums/4486/ATL-WTL-STL.aspx">ATL /  WTL / STL</a></li>
<li><a class="fly" href="/Forums/3785/Managed-Cplusplus-CLI.aspx">Managed C++/CLI</a></li>
</ul></li>
<li><a class="fly" style="padding-left:30px" href="/Forums/1649/Csharp.aspx">C#</a>
</li>
<li><a class="fly" style="padding-left:30px" href="/Forums/1627782/Free-Tools.aspx">Free Tools</a>
</li>
<li><a class="fly" style="padding-left:30px" href="/Forums/1827460/Objective-C-and-Swift.aspx">Objective-C and Swift</a>
</li>
<li><a class="fly" style="padding-left:30px" href="/Forums/1725/Database.aspx">Database</a>
</li>
<li class="openable"><a class="fly" style="padding-left:30px" href="/Forums/186301/Hardware-Devices.aspx">Hardware &amp; Devices<span class="has-submenu">&gt;</span></a>
<ul class="openable"><li><a class="fly" href="/Forums/1644/System-Admin.aspx">System Admin</a></li>
</ul></li>
<li><a class="fly" style="padding-left:30px" href="/Forums/1606152/Hosting-and-Servers.aspx">Hosting and Servers</a>
</li>
<li><a class="fly" style="padding-left:30px" href="/Forums/1643/Java.aspx">Java</a>
</li>
<li><a class="fly" style="padding-left:30px" href="/Forums/1650/NET-Framework.aspx">.NET Framework</a>
</li>
<li><a class="fly" style="padding-left:30px" href="/Forums/1848626/Android.aspx">Android</a>
</li>
<li><a class="fly" style="padding-left:30px" href="/Forums/1876716/iOS.aspx">iOS</a>
</li>
<li><a class="fly" style="padding-left:30px" href="/Forums/13695/Mobile.aspx">Mobile</a>
</li>
<li><a class="fly" style="padding-left:30px" href="/Forums/1540733/SharePoint.aspx">SharePoint</a>
</li>
<li><a class="fly" style="padding-left:30px" href="/Forums/1004257/Silverlight-WPF.aspx">Silverlight / WPF</a>
</li>
<li><a class="fly" style="padding-left:30px" href="/Forums/1646/Visual-Basic.aspx">Visual Basic</a>
</li>
<li><a class="fly" style="padding-left:30px" href="/Forums/1640/Web-Development.aspx">Web Development</a>
</li>
<li><a class="fly" style="padding-left:30px" href="/suggestions.aspx">Site Bugs / Suggestions</a>
</li>
<li><a class="fly" style="padding-left:30px" href="/Forums/1652005/Spam-and-Abuse-Watch.aspx">Spam and Abuse Watch</a>
</li>

		<li class="last"></li>
	</ul>

</li>

<li class="openable desktop-only"><a id="ctl00_TopNavBar_Features" href="/Feature/">features</a>

	<ul>
		<li><a id="ctl00_TopNavBar_Comps" class="fly" href="/script/Awards/CurrentCompetitions.aspx?cmpTpId=1&amp;awsac=true">Competitions</a></li>
		<li><a id="ctl00_TopNavBar_News" class="fly" href="/script/News/List.aspx">News</a></li>
		<li><a id="ctl00_TopNavBar_Insider" class="fly" href="/Feature/Insider/">The Insider Newsletter</a></li>
    	<li><a id="ctl00_TopNavBar_DailyBuild" class="fly" href="/Feature/DailyBuild">The Daily Build Newsletter</a></li>
		<li><a id="ctl00_TopNavBar_Newsletters" class="fly" href="/script/Mailouts/Archive.aspx?mtpid=1">Newsletter archive</a></li>
		<li><a id="ctl00_TopNavBar_Surveys" class="fly" href="/script/Surveys/List.aspx">Surveys</a></li>
		<li><a id="ctl00_TopNavBar_Showcase" class="fly" href="/KB/showcase/">Product Showcase</a></li>
		<li><a id="ctl00_TopNavBar_Research" class="fly" href="/script/ResearchLibrary/Index.aspx">Research Library</a></li>

		<li><a id="ctl00_TopNavBar_Stuff" class="fly" href="/Info/Stuff.aspx">CodeProject Stuff</a></li>
		<li class="last"></li>
	</ul>

</li>


<li  class="openable"><a id="ctl00_TopNavBar_Lounge" href="/Lounge.aspx">
            <span class="desktop-only tablet-only">community</span><span class="mobile-only">lounge</span>
</a>

	<ul>
		<li><a id="ctl00_TopNavBar_WhosWho" class="fly" href="/script/Membership/Profiles.aspx">Who's Who</a></li>
		<li><a id="ctl00_TopNavBar_MVPs" class="fly break" href="/script/Awards/MVPWinners.aspx">Most Valuable Professionals</a></li>
		

		<li><a id="ctl00_TopNavBar_LoungeLnk" class="fly highlight2" href="/Lounge.aspx">The Lounge  </a></li>
		<li><a id="ctl00_TopNavBar_InsiderLnk" class="fly" href="/Insider.aspx">The Insider News</a></li>
		<li><a id="ctl00_TopNavBar_WeirdWonderful" class="fly" href="/Feature/WeirdAndWonderful.aspx">The Weird & The Wonderful</a></li>
		<li><a id="ctl00_TopNavBar_SoapBoxLnk" class="fly" href="/Forums/1536756/The-Soapbox.aspx">The Soapbox</a></li>
		<li><a id="ctl00_TopNavBar_PRLnk" class="fly break" href="/Forums/1738007/Press-Releases.aspx">Press Releases</a></li>

		
		<li class="openable"><a class="fly" href="/Forums/1580229/Hindi.aspx">Non-English Language
			<span class="has-submenu">&gt;</span></a>
		<ul>
		<li><a class="fly" href="/Forums/1580229/Hindi.aspx">General Indian Topics</a></li>
		<li><a class="fly" href="/Forums/1580230/Chinese.aspx">General Chinese Topics</a></li>
		</ul>
		<li class="last"></li>
		
	</ul>

</li>


<li class="openable desktop-only tablet-only" style="margin-left:20px"><a id="ctl00_TopNavBar_Help" href="/KB/FAQs/">help</a>

	<ul>
		<li><a id="ctl00_TopNavBar_HelpWhatIs" class="fly" href="/info/guide.aspx">What is 'CodeProject'?</a></li>
		<li><a id="ctl00_TopNavBar_HelpGeneral" class="fly break" href="/KB/FAQs/">General FAQ</a></li>
		<li><a id="ctl00_TopNavBar_HelpPostQuestion" class="fly break highlight2" href="/Questions/ask.aspx">Ask a Question</a></li>
		<li><a id="ctl00_TopNavBar_HelpBugs" class="fly" href="/suggestions.aspx">Bugs and Suggestions</a></li>
		<li><a id="ctl00_TopNavBar_HelpArticles" class="fly" href="/Forums/1641/Article-Writing.aspx">Article Help Forum</a></li>
		<li><a id="ctl00_TopNavBar_HelpSiteMap" class="fly" href="/script/Content/SiteMap.aspx">Site Map</a></li>
		<li><a id="ctl00_TopNavBar_HelpAdvertise" class="fly" href="http://developermedia.com/">Advertise with us</a></li>
		<li><a id="ctl00_TopNavBar_HelpJobs" class="fly" href="/info/Jobs/">Employment Opportunities</a></li>
		<li><a id="ctl00_TopNavBar_HelpAboutUs" class="fly" href="/info/about.aspx">About Us</a></li>
		<li class="last"></li>
	</ul>

</li>

</ul>

</div>
	</div>
	<div class="sub-headerbar-divider"></div>
	</div>		
	

	<div id="C" class="container-content-wrap fixed"> 
	<div class="container-content">

		<div class="container-breadcrumb">
		
		</div>

		
		
		

		<div id="ctl00_ContentPane" class="container-main ">

			

				<div style="min-height:600px">
					<a name="Main"></a>

					
					<!-- Main Page Contents Start -->
					<h1>Privacy Policy</h1>

					
					
			
					
    
	<p class="small-text">Last updated: Tuesday, May 10, 2011</p>
	
	<p>CodeProject is committed to protecting your privacy and to 
	developing technology that gives you the most powerful and secure online experience.</p>

	<p>This privacy statement explains data collection and use practices of 
	CodeProject and CodeProject's 
	website codeproject.com (the &quot;<strong>Site</strong>&quot;) 
	(for purposes of this privacy policy, CodeProject and the 
	Site shall collectively, be referred to as &quot;<strong>We</strong>&quot; or 
	&quot;<strong>CodeProject</strong>&quot;).</p>
	
	<p>The "Site" refers to http://www.codeproject.com and all other Web 
	properties owned or operated by CodeProject now and in the 
	future (or anything that replaces, supplements, or supersedes the Web as the site of 
	CodeProject).</p>
	
	<p>By providing personal information to CodeProject, you are 
	consenting to the information collection and use practices described in this privacy statement.</p>
	
	<p><strong>THIS PRIVACY POLICY IS AN AGREEMENT. BY PROVIDING ANY PERSONAL INFORMATION TO THE 
	SITE OR BY ACCESSING THE SITE, YOU ARE CONSENTING TO THE TERMS OF THIS PRIVACY POLICY. IF YOU DO 
	NOT AGREE TO THE TERMS OF THIS PRIVACY POLICY, PLEASE DO NOT PROVIDE ANY PERSONAL INFORMATION TO 
	THE SITE. </strong></p>
	
	<h2>PRIVACY PRINCIPLES</h2>
	
	<p>As part of our commitment to treat your personal information with respect, we operate in 
	accordance with the following ten principles (the &quot;<strong>Principles</strong>&quot;):</p>

	<p>
		Principle 1 - Accountability<br />
		Principle 2 - Identifying Purposes<br />
		Principle 3 - Consent<br />
		Principle 4 - Limiting Collection<br />
		Principle 5 - Limiting Use, Disclosure and Retention<br />
		Principle 6 - Accuracy<br />
		Principle 7 - Safeguarding Customer Information<br />
		Principle 8 - Openness<br />
		Principle 9 - Customer Access<br />
		Principle 10 - Handling Customer Complaints and Suggestions
	</p>
	
	<h2>Principle 1 - Accountability</h2>
	
	<p>We will maintain and protect the personal information under our control. We have designated 
	an individual who is accountable for compliance with the Principles. If you have questions about 
	our privacy statement or our use of your information, or if you need help changing your personal 
	information or to opt-out, please contact us by sending e-mail to 
	<a href="mailto:Webmaster@codeproject.com">
	Webmaster@codeproject.com</a> or contacting us at:</p>
		
	<blockquote>
		CodeProject<br />
		503-250 Ferrand Drive <br />Toronto Ontario, M3C 3G8 Canada<br />
		ph. +1 416-849-8900 x 100
	</blockquote>
	
	<h2>Principle 2 - Identifying Purposes</h2>
	
	<p>The purposes for which personal information is collected by us will be identified to you 
	before or at the time the information is collected.</p>
	
	<h2>Principle 3 - Consent</h2>
	
	<p>Except where required or permitted by law your informed consent is required for our 
	collection, use or disclosure of your personal information.</p>
	
	<h2>Principle 4 - Limiting Collection</h2>
	
	<p>The personal information collected by us shall be limited to those details necessary for the 
	purposes identified to you. To that end, please note the following description of the type of 
	information collected and the reason we collect such information.
	CodeProject does not require any financial or payment 
	information. Additionally CodeProject does not intentionally 
	collect information from any individual under the age of 13 years.</p>

	<p>Additionally, none of the material or advertising on CodeProject
	is intended to attract 	audiences under the age of 13, and as such 
	CodeProject does not intentionally collect information 
	from any individual under the age of 13 years</p>
	
	<h3>Personal Information</h3>
	
	<p>If you would like to create a new member account, we will collect your name and email 
	address. In addition, at your option, if you would like to increase your profile on the Site or 
	with CodeProject generally, or if you would like to be 
	considered by potential employers for employment (please see Principle 5 for a discussion on 
	this point), you may also provide whatever personal information you choose including, without 
	limitation, a brief personal description, lists of interests and experience, where you live, the
	time zone in which you are in, your occupation, birthday, links to home pages, a picture of 
	yourself and a message board signature. In some limited instances, we may require your credit 
	card information to accommodate your requests to process transactions or access information on 
	any financial transactions carried out with the Site.</p>

	<p>Of course, any time you choose to post an editorial, or other message on the Site, that 
	information is stored by CodeProject and is viewed, together 
	with the biographical information you have provided, by all users of the Site.</p>

	<p><strong>Please know that only your name and email is necessary to create a new member account, 
	the provision of all other information is optional depending on what you are looking to do on 
	the Site and with CodeProject. </strong></p>
	
	<h3>Cookies</h3>
	<p>
		We use cookies, a piece of text stored on a user’s computer by their web browser,
		to store your viewing preferences on the Site and, at your choosing,
		to store your login information so that once you have logged in you do not need
		to repeat the login process. We also use a session cookie, meaning it expires soon
		after you leave the registration process and is not placed on your hard drive, to
		store your session information during your visit to the Site.</p>
	
	<h3>Anonymous Information</h3>
	<p>
		In addition to personal information, certain anonymous information about your visit
		is automatically captured when you visit the Site. This information includes the
		name of the Internet service provider and the Internet Protocol (IP) address through
		which you access the Internet; the date and time you access the Site; the pages
		that you access while at the Site and the Internet address of the Web site from
		which you linked directly to our site. None of this information is personally identifiable.
		This anonymous information is used to help improve the Site, analyze trends, and
		administer the Site.</p>
		
		
	<h2>Principle 5 - Limiting Use, Disclosure and Retention</h2>
	<p>
		We will only use or disclose your personal information in accordance with the purposes
		for which it was originally collected unless you have otherwise consented, or when
		it is required or permitted by law.
	</p>
	
	<h3>Use of your Personal Information</h3>
	<p>
		We use your personal information for the following purposes:</p>
	<ul>
		<li>To register you for Site membership. </li>
		<li>To customize your experience on the Site. </li>
		<li>To send electronic e-mail newsletters, if requested by you. </li>
		<li>To fill in certain information for you such as your name and signature when posting
			to message boards. </li>
		<li>To display your biography at the end of articles and tutorials submitted by you.
		</li>
	</ul>
	
	<h3>Safeguarding Personal Information</h3>
	
	<p>CodeProject strictly protects the security of your 
	personal information, including any financial information, and honors your choices for its 
	intended use. Data is stored in password-controlled servers with limited access. While no 
	security infrastructure is foolproof, we carefully protect your data from loss, misuse, 
	unauthorized access or disclosure, alteration or destruction.</p>

	<h3>Potential Employment Opportunities</h3>
	<p>
		CodeProject is often approached by, or engages with, corporations, 
		business and other persons who are looking to employ persons with various technology skill 
		sets. In some instances, CodeProject may try to accommodate such 
		potential employers by incorporating a job site as part of the Site. In this instance, the 
		employers would post jobs available for persons with technology skills on the Site and 
		Site Users would contact the potential employers directly. In this instance,
		CodeProject will not provide potential employers with any information 
		on the Site Users.
	</p>
	<p>
		Alternatively, employers may choose to contact CodeProject directly and 
		request that CodeProject provide to them information on those 
		individuals who are interested in being considered for employment and who have given 
		their consent to CodeProject providing their information to potential 
		employers.
	</p>
	<p>
		With that in mind, if you choose, you can have your information made available by
		CodeProject to potential employers. For those persons who choose to make 
		their personal information available to potential employers, aside from providing 
		additional resume type information to CodeProject,
		CodeProject will be storing the information (as CodeProject
		does with all information provided to it) for such a use and, as well,
		CodeProject will also sort such information in accordance with 
		characteristics the potential employers are looking for, and format such information 
		in a manner easily reviewable by potential employers.
	</p>
	<p>
		<strong>While CodeProject tries to ensure the potential employers are 
		legitimate, if you choose to have your personal information available to potential 
		employers,	CodeProject accepts no liability as a result of any action 
		or inaction of the potential employer, whether such action is a result of the provision 
		of the personal information to the potential employer, the use such potential employer 
		makes of the personal information or otherwise. </strong>
	</p>
	
	<h3>When Information May be Disclosed to Outside Parties:</h3>
	<p>
		Except as specifically provided for in this privacy policy, we do not disclose any
		personal information to third parties. CodeProject may disclose personal 
		information in the following instances:</p>
		
	<ol style="list-style: lower-roman;">
		<li>To conform to the edicts of the law or comply with legal process served to
			CodeProject, or the Site; </li>
		<li>protect and defend the rights or property of CodeProject and our 
			family of Web sites, including without limitation investigating potentially	fraudulent 
			or questionable activities regarding your account(s) or the use of the Site; </li>
		<li>To act in urgent circumstances to protect the personal safety of users of
			CodeProject, our Web sites, or the public;</li>
		<li>To offer you related products and services that might benefit you; </li>
		<li>In anticipation of and in the course of an actual or potential sale, reorganization,
			consolidation, merger or amalgamation of our business; and</li>
		<li>Otherwise as permitted or required by law.</li>
	</ol>
	<p>
		The type of information we are legally required to disclose may relate to criminal
		investigations. In some instances such as a legal proceeding or court order, we
		may also be required to disclose certain information to authorities. Only the information
		specifically requested is disclosed and we take precautions to satisfy ourselves
		that the authorities that are making the request have legitimate grounds to do so.</p>
	<p>
		In addition, CodeProject occasionally hires other companies to provide 
		limited services on our behalf, including packaging, mailing and delivering prizes, 
		answering customer questions about products and services, sending postal mail, and 
		sending information about our products, special offers, and other new services. We will 
		only provide those companies the personal information they need to deliver the service, 
		and they are prohibited from using that information for any other purpose.
	</p>
	<p>
		You may be offered the option to provide your information to certain third parties as part 
		of an advertising promotion, special section, sponsored download, or other area on the 
		Site. You will be made aware of the use of your information before you provide it, and 
		the use thereof will be limited to the use to which you agreed.
	</p>
	
	<h3>Email Addresses</h3>
	<p>
		Because email is the dominant form of communication between CodeProject
		and you, we wanted to address certain aspects of handling email addresses separately.
		Email addresses collected as part of the sign-up process are not made publicly available,
		except in accordance with the terms of this privacy policy. Most of the time, email
		addresses are simply used to confirm your identity and to communicate with you via
		email.
	</p>
	<p>
		Occasionally, third parties want to send emails regarding offers to our members. Unless 
		you specifically authorize it WE DO NOT PROVIDE SUCH THIRD PARTIES WITH YOUR EMAIL ADDRESS. 
		These third parties	wishing to send offers to our members do so through us. They send us 
		the offer and we email it to you on their behalf.
	</p>
	<p>
		In order to comply with anti-spam legislation such as CANSPAM (in the United States)
		there may be cases where a third-party email data house is used to advise us as
		to which addresses on our list have specifically opted out of emails from a given
		advertiser. In order for this to occur we send our list to the data house, the advertiser
		sends their list to the data house, and the data house then advises us of the results.
		At no time do we see the third party company&#39;s list nor do they see our list.
		The data house operates under strict privacy guidelines and obligations of confidentiality.
	</p>
	
	
	<h2>Principle 6 - Accuracy</h2>
	<p>
		We shall make every reasonable effort to ensure your personal information is maintained
		in an accurate, complete and up-to-date form.
	</p>
	
	
	<h2>Principle 7 - Safeguarding Personal Information</h2>
	<p>
		CodeProject strictly protects the security of your personal information 
		and honors your choices	for its intended use. Data is stored in password-controlled servers 
		with limited access. While no security infrastructure is foolproof, we carefully protect 
		your data from loss, misuse, unauthorized access or disclosure, alteration or destruction.</p>
	<p>
		Electronic customer files are kept in a highly secured environment with restricted
		access.
	</p>
	<p>
		We manage our server environment appropriately and our firewall infrastructure is
		strictly adhered to. Our security practices are reviewed on a regular basis and
		we routinely employ current technologies to ensure that the confidentiality and
		privacy of your information is not compromised.</p>
	<p>
		Our web site uses Secure Socket Layer (SSL) and 128 bit encryption technologies
		to enhance security when you visit the secured areas of these sites. SSL is the
		industry standard tool for protecting and maintaining the security of message transmissions
		over the Internet. When you access your accounts or send information from secured
		sites, encryption will scramble your data into an unreadable format to inhibit unauthorized
		access by others.
	</p>
	
	<h3>Our Employees and your Personal Information:</h3>
	<p>
		In the course of daily operations, access to personal information is restricted
		to authorized employees who have a legitimate business purpose and reason for accessing
		it. For example, when you call us, our designated employees will access your information
		to verify who you are and to assist you in fulfilling your requests.</p>
	<p>
		As a condition of their employment, all employees of CodeProject
		are required to abide by the privacy standards we have established. Employees are
		informed about the importance of privacy and they understand that they are prohibited
		from disclosing any customer information to unauthorized individuals or parties.
	</p>
	
	
	<h2>Principle 8 - Openness</h2>
	<p>
		If you would like a copy of our privacy policies we would be more than happy to
		provide one to you and if you have any questions regarding same, we are more than
		happy to discuss the merits with you.
	</p>
	
	
	<h2>Principle 9 - Accessing and Amending Your Information:</h2>
	<p>
		You have the right to access, verify and amend the information held in your personal
		files. You can review and edit your member profile information at the
		CodeProject site by logging on to CodeProject
		site with your logon email and password, and then clicking on the &#39;My Settings&#39;
		link.</p>
	<p>
		To help us keep your personal information up-to-date, we encourage you to amend
		inaccuracies and make corrections as often as necessary. Despite our efforts, errors
		sometimes do occur. Should you identify any incorrect or out-of-date information
		in your file(s), we will make the proper changes.
	</p>
	
	
	<h2>Principle 10 - Handling Customer Complaints and Suggestions</h2>
	<p>
		If you have questions about our privacy statement or our use of your information,
		or if you need help changing or removing your personal information, please contact us by sending
		e-mail to 
		<a href="mailto:Webmaster@codeproject.com">Webmaster@codeproject.com</a>
		or contacting us at:
	</p>
	<blockquote>
		CodeProject<br />
		503-250 Ferrand Drive <br />Toronto Ontario, M3C 3G8 Canada<br />
		ph. +1 416-849-8900 x 100
	</blockquote>
	
	
	<h2>GENERAL TERMS</h2>
	
	<h3>Links to Other Web sites</h3>
	<p>
		This Site may contain links to other Web sites. Please be aware that this Privacy
		Policy applies solely to the information collected on the Site. We are not responsible
		for the privacy practices or the content of other Web sites. We encourage you to
		be aware when you are leaving this Site and read the privacy statements of each
		and every Web site that you visit before providing any personally identifiable information.
	</p>
		
	<h3>Governing Law</h3>
	<p>
		This agreement, your use of the Web Site, and all related matters are governed solely
		by the laws of the Ontario, Canada and applicable federal laws of Canada, excluding
		any rules of private international law or the conflict of laws which would lead
		to the application of any other laws.
	</p>
	
	<h3>Changes to This Privacy Statement</h3>
	<p>
		We may occasionally update this privacy statement. When we do, we will also revise
		the &quot;last updated&quot; date at the top of the privacy statement. For material
		changes to this privacy statement, we will notify you either by placing a prominent
		notice on the home page of our web site or by directly sending you a notification.
		We encourage you to periodically review this privacy statement to stay informed
		about how we are protecting the personal information we collect. Your continued
		use of the service constitutes your agreement to this privacy statement and any
		updates.
	</p>

					

					<!-- Main Page Contents End -->
					<br clear="all" />
				</div>

				<div class="theme1-background padded-top padded-bottom sticky-stop">
					<div class="bottom-promo"> 
						<div class="msg-728x90" data-format="728x90" data-type="ad" data-publisher="lqm.codeproject.site" data-zone="ros"  data-loadOnView='true'  data-tags='pos_bottom'><noscript><a href="http://pubads.g.doubleclick.net/gampad/jump?iu=/6839/lqm.codeproject.site/ros&sz=728x90&c=523473"><img src="http://pubads.g.doubleclick.net/gampad/ad?iu=/6839/lqm.codeproject.site/ros&sz=728x90&c=523473"  width="728px" height="90px" target="_blank"/></a></noscript></div>
					</div>
				</div>

				<div class="extended tiny-text">
					<div class="row">
						<div class="float-left">
							<a id="ctl00_AdvertiseLink" href="http://developermedia.com/">Advertise</a> | 
							<a id="ctl00_PrivacyLink" href="/info/privacy.aspx">Privacy</a> |
							<a id="ctl00_Mobile">Mobile</a>
							<br />
							Web02 |
							2.8.160826.1 |
							Last Updated 10 May 2011
						</div>
						<div class="float-right align-right">
							Copyright &copy; <a href="mailto:webmaster@codeproject.com">CodeProject</a>, 1999-2016 <br />
							All Rights Reserved.
							<a id="ctl00_TermsOfUseLink" href="/info/TermsOfUse.aspx">Terms of Service</a>
						</div>

						


<div class="page-width">
Layout: <a id="ctl00_PageWidth_FixedT" title="Fixed width layout" rel="nofollow" class=" active" href="/info/privacy.aspx?PageFlow=FixedWidth">fixed</a>
|
<a id="ctl00_PageWidth_FluidT" title="Fluid layout" rel="nofollow" href="/info/privacy.aspx?PageFlow=Fluid">fluid</a>
</div>


					</div>
				</div>
	
				<br clear="all" />
		
					

			

	</div>
	</div>
	</div>

	

</div>
<div id="page-bottom"></div>



<script type="text/javascript" language="Javascript" src="http://cdn.codeproject.com.global.prod.fastly.net/script/JS/standard.min.js?dt=2.8.160826.1"></script>
<script type="text/javascript" language="Javascript">//<![CDATA[
$(function ()
                {
                    $('.oauth').click(function () {
                        $this = $(this);
                        href = $this.attr('href');
                        var myWindow = window.open(href, 'popup',
                                    'width=800,height=600,location=0,menubar=0,resizeable=0,scrollbars=0,toolbar=0');
                        myWindow.focus();
                        var timer = setInterval(function () {
                                        if (myWindow.closed) {
                                            clearInterval(timer);
                                            // window.location.reload(); // May do a POST reload, shows a warning
                                            window.location = window.location; // force a GET reload
                                        }
                                    }, 200);
                        return false;
                    });
                });
var oSrchFlt = false, oSrchBox=false,srchBoxFoc=false;
$(document).ready(function() {
 if(InitWatermark)InitWatermark('sb_tb', 'Search for articles, questions, tips');
 var sbar = $('#sb_tb'); 
 var sfilter = $('#SearchFilter');
 if (sbar && sfilter) {
  sfilter.removeClass('popup'); sfilter.hide(); sfilter.removeClass('open');
  sbar.blur(function() {
 if (!oSrchFlt) {sfilter.hide(); sfilter.removeClass('open');}
 srchBoxFoc=false;
 });
  sbar.focus(function() {
 oSrchFlt=false; srchBoxFoc=true;
 sfilter.show(); sfilter.addClass('open');
 });
  sbar.mouseleave(function() { oSrchBox=false; });
  sbar.mouseover(function() { oSrchBox=true; });
  sfilter.mouseleave(function() { oSrchFlt=false; if (!srchBoxFoc&&!oSrchBox) { sfilter.hide(); sfilter.removeClass('open'); }});
  sfilter.mouseover(function() { oSrchFlt=true; });
 }
});

//]]>
</script>


</body>
</html>
